/*
 * Copyright 2012-2016 National ICT Australia (NICTA), Australia
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *
 */
#ifndef HOOK_H_
#define HOOK_H_

#ifndef HOOK_C_
/* Avoid double befinition when included from hook.c */
extern char* hook;
extern int hookpipe[];
#endif /* HOOK_C_ */

#define HOOK_BANNER "OML HOOK READY"
#define HOOK_CMD_EXIT "EXIT\n" /* No argument for this one */
#define HOOK_CMD_DBCREATED "DBCREATED"
#define HOOK_CMD_DBOPENED "DBOPENED"
#define HOOK_CMD_DBCLOSED "DBCLOSED"

void hook_setup (void);
void hook_cleanup (void);

int hook_enabled();

ssize_t hook_write (const void *buf, size_t count);
ssize_t hook_read (void *buf, size_t count);

#endif /* HOOK_H_ */
